<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolOptimSettings" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolOptimSettings</refname>

    <refpurpose>gets the optimization parameters from the optimization
    GUI.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>[sisotoolSetSysVars,x0,bnds,g,bndsg,data]=sisotoolOptimSettings(guiHandle)</synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>guiHandle</term>

        <listitem>
          <para>The handle on the optimization GUI figure.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>sisotoolSetSysVars</term>

        <listitem>
          <para>A function used to updates the compensator data structure with
          the optimization variables' array</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>x0</term>

        <listitem>
          <para>The array of the optimization variables initial value.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>bnds</term>

        <listitem>
          <para>The two column array <literal>[lowbounds, highbounds]
          </literal>of the optimization variables boundaries.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>g</term>

        <listitem>
          <para>The function which computes the constraint values for given
          optimization variables. This function make use of variables defined
          in the calling scope of <link
          linkend="sisotoolOptimizedTuning">sisotoolOptimizedTuning</link>,
          such as <literal>data</literal>,...</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>bndsg</term>

        <listitem>
          <para>The boundaries for the constraints functions.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>data</term>

        <listitem>
          <para>A struct which contains extra data needed to evaluate
          the<literal> g</literal> function for given optimization
          variables.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
